#!/bin/bash
if ! grep -q "tensorflow-gpu>=1.13" $PREFIX/conda-meta/pinned; then
    base=$(ls $PREFIX/conda-meta/*.json | grep -oE "tensorflow-base-$PKG_VERSION-(mkl|gpu|eigen)" | grep -oE "(mkl|gpu|eigen)")
    meta=$(ls $PREFIX/conda-meta/*.json | grep -oE "tensorflow-$PKG_VERSION-(mkl|gpu|eigen)" | grep -oE "(mkl|gpu|eigen)")
    variant=($(ls $PREFIX/conda-meta/*.json | grep -oE "tensorflow-(mkl|gpu|eigen)" | grep -oE "(mkl|gpu|eigen)"))
    if [ ${#variant[@]} -gt 1 ]; then
        echo "Packages (${variant[@]/#/tensorflow-}) conflict."> $PREFIX/.messages.txt
        exit 1
    elif [ ${#variant[@]} -eq 1 ] && [ ! "${variant[0]}" = "$meta" ]; then
        echo "Packages tensorflow ($meta variant) and tensorflow-${variant[0]} conflict."> $PREFIX/.messages.txt
        exit 1
    elif [ ${#variant[@]} -eq 1 ] &&  [ ! "${variant[0]}" = "$base" ]; then
        echo "Packages tensorflow-base ($base variant) and tensorflow-${variant[0]} conflict." > $PREFIX/.messages.txt
        exit 1
    fi
    echo "tensorflow-gpu>=1.13" >> $PREFIX/conda-meta/pinned
fi
